Name: dpkg
Version: 1.6.15
Release: alt3

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: Package maintenance system for Debian Linux
License: GPL
Group: File tools
Source0: ftp://ftp.debian.org/debian/dists/potato/main/source/base/%{name}_%version.tar.gz
Patch0: %name-no-debiandoc.patch
Patch1: %name-opt.patch
Patch2: %name-acfix.patch

# Automatically added by buildreq on Mon Oct 14 2002
BuildRequires: emacs-common gcc-c++ libstdc++-devel

%description
This package contains the programs which handle the installation and
removal of packages in Debian Linux distributions.

The primary interface for the dpkg suite is the `dselect' program; a
more low-level and less user-friendly interface is available in the
form of the `dpkg' command.

In order to unpack and build Debian source packages you will need to
install the developers' package `dpkg-dev' as well as this one.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--enable-shared \
	--without-dselect \
	--with-admindir=%_localstatedir/%name
%make

%install
install -d $RPM_BUILD_ROOT%_docdir/%name
%make install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%_docdir/%name/*

%find_lang dpkg

%files -f dpkg.lang
%doc doc/database-structure.fig doc/internals.sgml
%doc $RPM_BUILD_ROOT%_defaultdocdir/%name/*
%_bindir/*
%exclude %_bindir/*md5sum*
%_sbindir/*start-stop*
%_sbindir/*dpkg*
%exclude %_sbindir/install-info
%_libdir/%name
%_localstatedir/%name
%_mandir/man?/*
%exclude %_mandir/man?/*md5sum*
%exclude %_mandir/man?/*info*
%exclude %_mandir/man?/*alternatives*
%exclude %_mandir/man?/*update*

%changelog
* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt3
- exclude manpages provided by other packages

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt2
- rebuild with gcc3
- comment locale man pages: must be in man-pages-locale package (ALT Packaging Policy).
- little spec improvements

* Tue Nov 13 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt1
- First build for Sisyphus. Thanks PLD Team for specfile.
